com.taosdata.jdbc.ws

## Class CustomWebSocketClientHandshaker

- java.lang.Object
- - io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker
  - - io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13
    - - com.taosdata.jdbc.ws.CustomWebSocketClientHandshaker

    public class CustomWebSocketClientHandshaker
    extends io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

### Field Summary

### Fields inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

`MAGIC_GUID`

### Fields inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker

`customHeaders, DEFAULT_FORCE_CLOSE_TIMEOUT_MILLIS, generateOriginHeader`

### Constructor Summary

Constructors
Constructor and Description
`CustomWebSocketClientHandshaker(URI webSocketURL, io.netty.handler.codec.http.websocketx.WebSocketVersion version, String subprotocol, boolean allowExtensions, io.netty.handler.codec.http.HttpHeaders customHeaders, int maxFramePayloadLength)`
`CustomWebSocketClientHandshaker(URI webSocketURL, io.netty.handler.codec.http.websocketx.WebSocketVersion version, String subprotocol, boolean allowExtensions, io.netty.handler.codec.http.HttpHeaders customHeaders, int maxFramePayloadLength, boolean performMasking, boolean allowMaskMismatch)`
`CustomWebSocketClientHandshaker(URI webSocketURL, io.netty.handler.codec.http.websocketx.WebSocketVersion version, String subprotocol, boolean allowExtensions, io.netty.handler.codec.http.HttpHeaders customHeaders, int maxFramePayloadLength, boolean performMasking, boolean allowMaskMismatch, long forceCloseTimeoutMillis)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected io.netty.handler.codec.http.websocketx.WebSocketFrameEncoder` `newWebSocketEncoder()`

### Methods inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

`isAllowExtensions, isAllowMaskMismatch, isPerformMasking, newHandshakeRequest, newWebsocketDecoder, setForceCloseTimeoutMillis, verify`

### Methods inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker

`actualSubprotocol, close, close, close, close, expectedSubprotocol, finishHandshake, forceCloseTimeoutMillis, handshake, handshake, isForceCloseComplete, isHandshakeComplete, maxFramePayloadLength, processHandshake, processHandshake, upgradeUrl, uri, version`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomWebSocketClientHandshaker

    public CustomWebSocketClientHandshaker(URI webSocketURL,
                                           io.netty.handler.codec.http.websocketx.WebSocketVersion version,
                                           String subprotocol,
                                           boolean allowExtensions,
                                           io.netty.handler.codec.http.HttpHeaders customHeaders,
                                           int maxFramePayloadLength)

#### CustomWebSocketClientHandshaker

    public CustomWebSocketClientHandshaker(URI webSocketURL,
                                           io.netty.handler.codec.http.websocketx.WebSocketVersion version,
                                           String subprotocol,
                                           boolean allowExtensions,
                                           io.netty.handler.codec.http.HttpHeaders customHeaders,
                                           int maxFramePayloadLength,
                                           boolean performMasking,
                                           boolean allowMaskMismatch)

#### CustomWebSocketClientHandshaker

    public CustomWebSocketClientHandshaker(URI webSocketURL,
                                           io.netty.handler.codec.http.websocketx.WebSocketVersion version,
                                           String subprotocol,
                                           boolean allowExtensions,
                                           io.netty.handler.codec.http.HttpHeaders customHeaders,
                                           int maxFramePayloadLength,
                                           boolean performMasking,
                                           boolean allowMaskMismatch,
                                           long forceCloseTimeoutMillis)

### Method Detail

#### newWebSocketEncoder

    protected io.netty.handler.codec.http.websocketx.WebSocketFrameEncoder newWebSocketEncoder()

Overrides:
  `newWebSocketEncoder` in class `io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13`